// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2006 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifdef PRECOMP
    #include "xmule-headers.h"
#endif

#include "AddFriend.h"            // Module's Prototype(s)

#include "FriendList.h"           // CFriendList
#include "muuli_wdr.h"            // addFriendDlg ID_ADDFRIEND ID_CLOSEDLG ID_IPADDRESS ID_IPORT ID_USERNAME
#include "otherfunctions.h"       // GetResString
#include "xmule.h"                // theApp

#include <wx/msgdlg.h>            // wxMessageBox
#include <wx/intl.h>              // _()
#include <wx/sizer.h>             // wxSizer
#include <wx/textctrl.h>          // wxTextCtrl

IMPLEMENT_DYNAMIC_CLASS(CAddFriend, wxDialog)

CAddFriend::CAddFriend(wxWindow *parent): wxDialog(parent, 9995, _("Add a Friend"), wxDefaultPosition, wxDefaultSize,
wxDEFAULT_DIALOG_STYLE |wxSYSTEM_MENU)
{
    addFriendDlg(this, true)->Show(this, true);
    OnInitDialog();
}

CAddFriend::~CAddFriend()
{
}

bool CAddFriend::OnInitDialog()
{
    //CDialog::OnInitDialog();
    Localize();
    return true;
}

BEGIN_EVENT_TABLE(CAddFriend, wxDialog)
EVT_BUTTON(ID_ADDFRIEND, CAddFriend::OnAddBtn)
EVT_BUTTON(ID_CLOSEDLG, CAddFriend::OnCloseBtn)
END_EVENT_TABLE()

// CAddFriend message handlers
void CAddFriend::Localize()
{
}

#define GetDlgItem(a,b) wxStaticCast(FindWindowById((a)),b)

void CAddFriend::OnAddBtn(wxCommandEvent &evt)
{
    wxString name, userhash, fullip;
    uint32_t ip;
    long port;
    ip = port = 0;
    if (GetDlgItem(ID_USERNAME, wxTextCtrl)->GetValue() .Length())
    {
        //GetDlgItem(IDC_USERNAME)->GetWindowText(buffer,255);
        name = GetDlgItem(ID_USERNAME, wxTextCtrl)->GetValue();
    }
    if (GetDlgItem(ID_IPADDRESS, wxTextCtrl)->GetValue() .Length())
    {
        //GetDlgItem(IDC_IP)->GetWindowText(buffer,20);
        fullip = GetDlgItem(ID_IPADDRESS, wxTextCtrl)->GetValue();
    }
    else
    {
        //MessageBox(GetResString(IDS_ERR_NOVALIDFRIENDINFO));
        wxMessageBox(GetResString(IDS_ERR_NOVALIDFRIENDINFO));
        return;
    }
    if (GetDlgItem(ID_IPORT, wxTextCtrl)->GetValue() .Length())
    {
        //GetDlgItem(IDC_PORT)->GetWindowText(buffer,20);
        wxString buff = GetDlgItem(ID_IPORT, wxTextCtrl)->GetValue();
        buff.ToLong(&port);
    }
    else
    {
        //MessageBox(GetResString(IDS_ERR_NOVALIDFRIENDINFO));
        wxMessageBox(GetResString(IDS_ERR_NOVALIDFRIENDINFO));
        return;
    }
    int a, b, c, d;
    a = b = c = d = 0;
    sscanf(fullip.mb_str(*wxConvCurrent), "%d.%d.%d.%d", &a, &b, &c, &d);
    ip = a | (b << 8) | (c << 16) | (d << 24);
    theApp.friendlist->AddFriend(NULL, 0, ip, port, 0, name, 0);
    //OnCloseBtn(evt);
    EndModal(1);
    //OnCancel();
}

void CAddFriend::OnCloseBtn(wxCommandEvent &evt)
{
    EndModal(0);
}

