// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2006 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifdef PRECOMP
    #include "xmule-headers.h"
#endif

#include "wintypes.h"
#include "SafeFile.h"


CSafeFile::CSafeFile(x::LPCSTR lpszFileName, wxUint32 nOpenFlags)
    : CFile(wxString(lpszFileName, *wxConvCurrent), (CFile::OpenMode) nOpenFlags)
{
}

CSafeFile::CSafeFile(): CFile()
{
}

wxUint32 CSafeFile::Read(void *lpBuf, wxUint32 nCount)
{
    if (Tell() + nCount > Length())
    {
        return(wxUint32) - 1;
    }
    return CFile::Read(lpBuf, nCount);
}

CSafeMemFile::CSafeMemFile(x::BYTE *lpBuffer, wxUint32 nBufferSize, wxUint32 nGrowBytes)
    : CMemFile(lpBuffer, nBufferSize, nGrowBytes)
{
}

CSafeMemFile::CSafeMemFile(wxUint32 nGrowBytes): CMemFile(nGrowBytes)
{
}

wxUint32 CSafeMemFile::Read(void *lpBuf, wxUint32 nCount)
{
    if (GetPosition() + nCount > this->GetLength())
    {
        return 0;
    }
    return CMemFile::Read(lpBuf, nCount);
}
