// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2006 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

// Precompiled Headers
// All xMule's .h files

#ifndef __XMULE_HEADERS_H_
#define __XMULE_HEADERS_H_

#include "AddFileThread.h"
#include "AddFriend.h"
#include "animate.h"
#include "BarShader.h"
#include "CatDialog.h"
#include "CFile.h"
#include "ChatWnd.h"
#include "ClientCredits.h"
#include "ClientDetailDialog.h"
#include "ClientList.h"
#include "ClientUDPSocket.h"
#include "CMemFile.h"
#include "CommentDialog.h"
#include "CommentDialogLst.h"
#include "CryptoXMpp.h"
#include "DownloadListCtrl.h"
#include "DownloadQueue.h"
#include "ED2KLink.h"
#include "EditServerListDlg.h"
//#include "eggtrayicon.h" // GTK2-Specific?
#include "EMSocket.h"
#include "endianswap.h"
#include "FileDetailDialog.h"
#include "FlowChart.h"
#include "Friend.h"
#include "FriendList.h"
#include "FriendListCtrl.h"
//gtk2-funcs.h // GTK2-Specific?
//gtkplugxembed.h // GTK2-Specific?
#include "HTTPDownloadDlg.h"
//#include "inetdownload.h"
#include "IPFilter.h"
#include "KnownFile.h"
#include "KnownFileList.h"
#include "ldaemon.h"
#include "listbase.h"
#include "listctrl.h"
#include "listctrl_gen.h"
#include "ListenSocket.h"
#include "MapKey.h"
#include "MD5Sum.h"
#include "mfc.h"
#include "MuleListCtrl.h"
#include "MuleNotebook.h"
#include "muuli_wdr.h"
#include "NewFunctions.h"
#include "NewSockets.h"
#include "opcodes.h"
#include "OScopeCtrl.h"
#include "otherfunctions.h"
#include "otherstructs.h"
#include "packets.h"
#include "PartFile.h"
#include "PPgDirectories.h"
#include "PPgSourcesDropping.h"
#include "PPgTweaks.h"
#include "Preferences.h"
#include "PreferencesDlg.h"
#include "Preview.h"
#include "QueueListCtrl.h"
#include "resource.h"
#include "SafeFile.h"
#include "SearchDlg.h"
#include "SearchList.h"
#include "server.h"
#include "ServerList.h"
#include "ServerListCtrl.h"
#include "ServerSocket.h"
#include "ServerWnd.h"
#include "SharedFileList.h"
#include "SharedFilesCtrl.h"
#include "SharedFilesWnd.h"
#include "sockets.h"
#include "StatisticsDlg.h"
//#include "SysTray.h"
#include "TransferWnd.h"
#include "types.h"
#include "UDPSocket.h"
#include "updownclient.h"
#include "UploadListCtrl.h"
#include "UploadQueue.h"
#include "wintypes.h"
#include "xembed.h"
#include "xmule-headers.h"
#include "xmule.h"
#include "xmuleDlg.h"
#include "xmuleIPV4Address.h"

#define WX_PRECOMP  1
#include <wx/wx.h> // All wxWidgets Headers

#endif // __XMULE_HEADERS_H_
